From 6fb10d4da303baed0a5b2025fbf6dc957e602814 Mon Sep 17 00:00:00 2001
From: HadetTheUndying <hadet@protonmail.com>
Date: Sat, 29 Jun 2019 11:43:19 -0500
Subject: [PATCH] update to 3.3.0

teamspeak3: update to 3.3.0
---
 srcpkgs/teamspeak3/template | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/srcpkgs/teamspeak3/template b/srcpkgs/teamspeak3/template
index f093600c3c2..5e7b3fdd488 100644
--- a/srcpkgs/teamspeak3/template
+++ b/srcpkgs/teamspeak3/template
@@ -1,6 +1,6 @@
 # Template file for 'teamspeak3'
 pkgname=teamspeak3
-version=3.2.5
+version=3.3.0
 revision=1
 archs="i686 x86_64"
 wrksrc=teamspeak3
@@ -17,12 +17,12 @@ noverifyrdeps=yes
 
 if [ "$XBPS_TARGET_MACHINE" = "x86_64" ]; then
 	_pkg="TeamSpeak3-Client-linux_amd64-${version}"
-	distfiles="http://dl.4players.de/ts/releases/${version}/${_pkg}.run"
-	checksum=fc29f1bc351a9e993a69c5134d3d7c48d3149f500f3b6d816a97a59b7c41f60c
+	distfiles="https://files.teamspeak-services.com/releases/client/${version}/${_pkg}.run"
+	checksum=0a8d31e59bb140fd3c9221286c75fb9a68fbf97530f88ab6f311932b5733488c
 elif [ "$XBPS_TARGET_MACHINE" = "i686" ]; then
 	_pkg="TeamSpeak3-Client-linux_x86-${version}"
-	distfiles="http://dl.4players.de/ts/releases/${version}/${_pkg}.run"
-	checksum=6b34e0dce039259c7ed0aec6b15b157379d4690ffcaa6938fde18840f883c6f3
+	distfiles="https://files.teamspeak-services.com/releases/client/${version}/${_pkg}.run"
+	checksum=2506871bc4382a16086df41c469fd7a4445e644927d9eaca1e876f7b30659c12
 else
 	broken="No known upstream client for this architecture"
 fi
@@ -38,8 +38,8 @@ do_install() {
 	# Set proper permissions
 	find -type d | xargs chmod 755
 	find -type f | xargs chmod 644
-	find -name '*.so' | xargs chmod 755
-	chmod +x ts3client*
+	find -name '*.so*' | xargs chmod 755
+	chmod +x ts3client* package_inst QtWebEngineProcess
 
 	vmkdir "usr/lib/teamspeak3"
 	vcopy * "usr/lib/teamspeak3"
